:root {
    --bg-color: rgb(208, 234, 247);
    --primary-color: rgb(43, 43, 43);
    --secondary-color: white;
    --scroll-thumb-color: rgb(21, 21, 21);
}

.dark-theme {
    --bg-color: rgb(28, 28, 28);
    --primary-color: rgb(219, 235, 243);
    --secondary-color: black;
    --scroll-thumb-color: rgb(165, 185, 195);
}

* {
    padding: 0;
    margin: 0;
    color: var(--primary-color);
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

body {
    height: 100vh;
    width: 100%;
    background-color: var(--bg-color);
}

body::-webkit-scrollbar {
    width: 5px;
}

body::-webkit-scrollbar-thumb {
    background-color: var(--scroll-thumb-color);
}

body::-webkit-scrollbar-track {
    background-color: rgb(121, 136, 144);
}

.disable-scroll {
    overflow: hidden;
}

.loading {
    height: 100vh;
    width: 100vw;
    position: absolute;
    top: 0px;
    left: 0px;

    background-color: white;

    display: flex;
    align-items: center;
    justify-content: center;
}

@keyframes spinner {
    0% {
        transform: translate3d(-50%, -50%, 0) rotate(0deg);
    }

    100% {
        transform: translate3d(-50%, -50%, 0) rotate(360deg);
    }
}

.spin::before {
    animation: 1.5s linear infinite spinner;
    animation-play-state: inherit;
    border: solid 5px #cfd0d1;
    border-bottom-color: #1c87c9;
    border-radius: 50%;
    content: "";
    height: 40px;
    width: 40px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate3d(-50%, -50%, 0);
    will-change: transform;
}

a {
    text-decoration: none;
    display: flex;
    align-items: end;
    justify-content: center;
}

a img {
    width: 3rem;
}

button {
    padding: 10px 50px;
    cursor: pointer;

    border: 2px solid var(--primary-color);
    border-radius: 5px;

    background-color: transparent;
    color: var(--primary-color);
    font-weight: bold;


    transition: 200ms linear;
}

button:hover {
    background-color: var(--secondary-color);
    color: var(--secondary-color);
    border: 2px solid var(--secondary-color);
}

.about {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    column-gap: 20px;
}

.image-button {
    height: 2rem;
    width: 2rem;
    padding: 0px 0px;
    border: none;
    border-radius: 100px;
    cursor: pointer
}

.image-button:hover {
    border: 0px solid var(--secondary-color);
}

main {
    height: 100vh;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
}

.heading {
    max-width: 1224px;
    width: 90%;
    margin-top: 20px;

    display: flex;
    flex-direction: row;
    row-gap: 15px;

    justify-content: space-between;
    align-items: center;
}

.row-box {
    display: flex;
    flex-direction: row;
}

.name {
    font-size: 32px;
    font-weight: 600;
}

.photos {
    max-width: 1224px;
    width: 90%;

    display: flex;
    gap: 10px;
}

.column {
    width: 25%;

    display: flex;
    flex-direction: column;
}

.photo img {
    width: 100%;
    border: 3px solid transparent;
    border-radius: 3px;
    object-fit: cover;
    opacity: 0;
    transition: 1000ms;
    cursor: pointer;
}

.load-more-btn button {
    margin-bottom: 20px;
}

@media (max-width:700px) {
    .name {
        font-size: 24px;
    }

    button {
        padding: 5px 35px;
    }

    button:hover {
        background-color: transparent;
        color: var(--primary-color);
        border: 2px solid var(--primary-color);
    }

    .image-button {
        height: 24px;
        width: 24px;
    }

    main {
        gap: 30px;
    }

    a img {
        width: 2rem;
    }
}

@media (max-width:650px) {
    .photos {
        gap: 5px;
    }

    .photo img {
        border: 0px solid transparent;
    }
}

@media (max-width:500px) {
    .name {
        font-size: 20px;
    }

    button {
        padding: 5px 25px;
        font-size: 10px;
    }

    .image-button {
        height: 20px;
        width: 20px;
    }

    .about {
        column-gap: 10px;
    }

    main {
        gap: 25px;
    }

    a img {
        width: 1.5rem;
    }
}